<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="16097.3" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" colorMatched="YES" initialViewController="wJh-wU-YFl">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="16087"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--Login Oauth View Controller-->
        <scene sceneID="xwR-Ya-aqI">
            <objects>
                <viewController storyboardIdentifier="LoginViewController" id="nFZ-NC-h4X" customClass="LoginOauthViewController" customModule="Gitter" customModuleProvider="target" sceneMemberID="viewController">
                    <layoutGuides>
                        <viewControllerLayoutGuide type="top" id="sBs-Aw-OqK"/>
                        <viewControllerLayoutGuide type="bottom" id="Kgv-Go-hkt"/>
                    </layoutGuides>
                    <view key="view" contentMode="scaleToFill" id="Tfe-qE-Xij">
                        <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <activityIndicatorView opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="750" verticalHuggingPriority="750" hidesWhenStopped="YES" animating="YES" style="gray" translatesAutoresizingMaskIntoConstraints="NO" id="3fU-g8-Ui0">
                                <rect key="frame" x="197" y="438" width="20" height="20"/>
                            </activityIndicatorView>
                        </subviews>
                        <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                        <constraints>
                            <constraint firstItem="3fU-g8-Ui0" firstAttribute="centerY" secondItem="Tfe-qE-Xij" secondAttribute="centerY" id="F7D-1b-LQ6"/>
                            <constraint firstItem="3fU-g8-Ui0" firstAttribute="centerX" secondItem="Tfe-qE-Xij" secondAttribute="centerX" id="xtc-ZA-sbj"/>
                        </constraints>
                    </view>
                    <navigationItem key="navigationItem" id="hYD-SP-zD0"/>
                    <simulatedStatusBarMetrics key="simulatedStatusBarMetrics"/>
                    <simulatedNavigationBarMetrics key="simulatedTopBarMetrics" prompted="NO"/>
                    <connections>
                        <outlet property="loadingIndicator" destination="3fU-g8-Ui0" id="ZUS-Eg-gWl"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="K3f-oc-tea" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="-401" y="2024"/>
        </scene>
        <!--SecretMenu-->
        <scene sceneID="4we-P5-Dz3">
            <objects>
                <viewControllerPlaceholder storyboardName="SecretMenu" id="lRh-tk-ylp" sceneMemberID="viewController"/>
                <placeholder placeholderIdentifier="IBFirstResponder" id="08r-eX-ue1" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="-648.5" y="1636"/>
        </scene>
        <!--Login View Controller-->
        <scene sceneID="hgK-Ul-Iws">
            <objects>
                <viewController id="P9o-yr-Pou" customClass="LoginViewController" customModule="Gitter" customModuleProvider="target" sceneMemberID="viewController">
                    <layoutGuides>
                        <viewControllerLayoutGuide type="top" id="g8i-w5-b8b"/>
                        <viewControllerLayoutGuide type="bottom" id="e9O-D1-9o2"/>
                    </layoutGuides>
                    <view key="view" contentMode="scaleToFill" id="uHb-5P-NWV">
                        <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <imageView userInteractionEnabled="NO" contentMode="scaleToFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="backdrop" translatesAutoresizingMaskIntoConstraints="NO" id="06r-hy-PP4">
                                <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
                            </imageView>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="acd-D8-8uF">
                                <rect key="frame" x="82" y="337" width="250" height="222"/>
                                <subviews>
                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="qkS-gN-cJH">
                                        <rect key="frame" x="0.0" y="0.0" width="250" height="79"/>
                                        <subviews>
                                            <imageView contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="gitter-logo" translatesAutoresizingMaskIntoConstraints="NO" id="1Vn-bd-s0c">
                                                <rect key="frame" x="35" y="0.0" width="180" height="42"/>
                                                <gestureRecognizers/>
                                                <connections>
                                                    <outletCollection property="gestureRecognizers" destination="z2K-eW-yTk" appends="YES" id="n6m-uR-oP9"/>
                                                </connections>
                                            </imageView>
                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Gbj-Es-fJz">
                                                <rect key="frame" x="3.5" y="58" width="243" height="21"/>
                                                <string key="text">Where developers come to talk.

</string>
                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                <color key="textColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                                <nil key="highlightedColor"/>
                                            </label>
                                        </subviews>
                                        <constraints>
                                            <constraint firstItem="Gbj-Es-fJz" firstAttribute="centerX" secondItem="qkS-gN-cJH" secondAttribute="centerX" id="41l-fW-lMz"/>
                                            <constraint firstAttribute="bottom" secondItem="Gbj-Es-fJz" secondAttribute="bottom" id="EgI-a3-DGw"/>
                                            <constraint firstItem="Gbj-Es-fJz" firstAttribute="top" secondItem="1Vn-bd-s0c" secondAttribute="bottom" constant="16" id="cRi-OP-BUu"/>
                                            <constraint firstItem="1Vn-bd-s0c" firstAttribute="centerX" secondItem="qkS-gN-cJH" secondAttribute="centerX" id="e0W-kZ-Syp"/>
                                            <constraint firstItem="1Vn-bd-s0c" firstAttribute="top" secondItem="qkS-gN-cJH" secondAttribute="top" id="soL-KW-gtk"/>
                                        </constraints>
                                    </view>
                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="xBk-kZ-gZm">
                                        <rect key="frame" x="0.0" y="143" width="250" height="79"/>
                                        <subviews>
                                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="ZbW-Ww-HNK">
                                                <rect key="frame" x="0.0" y="-8.5" width="250" height="140"/>
                                                <subviews>
                                                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="WAP-HR-H0V">
                                                        <rect key="frame" x="0.0" y="96" width="250" height="44"/>
                                                        <color key="backgroundColor" red="0.33333333333333331" green="0.67450980392156867" blue="0.93333333333333335" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                                        <color key="tintColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                                        <inset key="contentEdgeInsets" minX="24" minY="10" maxX="24" maxY="10"/>
                                                        <inset key="titleEdgeInsets" minX="8" minY="0.0" maxX="-8" maxY="0.0"/>
                                                        <inset key="imageEdgeInsets" minX="-8" minY="0.0" maxX="8" maxY="0.0"/>
                                                        <state key="normal" title="Sign in with Twitter" image="twitter-icon"/>
                                                        <userDefinedRuntimeAttributes>
                                                            <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                                                                <integer key="value" value="5"/>
                                                            </userDefinedRuntimeAttribute>
                                                            <userDefinedRuntimeAttribute type="boolean" keyPath="clipsToBounds" value="YES"/>
                                                        </userDefinedRuntimeAttributes>
                                                        <connections>
                                                            <segue destination="nFZ-NC-h4X" kind="show" identifier="login-twitter" id="nkZ-Yn-vZr"/>
                                                        </connections>
                                                    </button>
                                                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="3v6-My-Oza">
                                                        <rect key="frame" x="0.0" y="48" width="250" height="44"/>
                                                        <color key="backgroundColor" red="0.22745098039215686" green="0.19215686274509802" blue="0.20000000000000001" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                                        <fontDescription key="fontDescription" type="system" pointSize="16"/>
                                                        <color key="tintColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                                        <inset key="contentEdgeInsets" minX="24" minY="10" maxX="24" maxY="10"/>
                                                        <inset key="titleEdgeInsets" minX="8" minY="0.0" maxX="-8" maxY="0.0"/>
                                                        <inset key="imageEdgeInsets" minX="-8" minY="0.0" maxX="8" maxY="0.0"/>
                                                        <state key="normal" title="Sign in with GitHub" image="github-icon"/>
                                                        <userDefinedRuntimeAttributes>
                                                            <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                                                                <integer key="value" value="5"/>
                                                            </userDefinedRuntimeAttribute>
                                                            <userDefinedRuntimeAttribute type="boolean" keyPath="clipsToBounds" value="YES"/>
                                                        </userDefinedRuntimeAttributes>
                                                        <connections>
                                                            <segue destination="nFZ-NC-h4X" kind="show" identifier="login-github" id="lVd-GG-NMb"/>
                                                        </connections>
                                                    </button>
                                                    <button opaque="NO" contentMode="scaleToFill" fixedFrame="YES" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="WO4-id-UnP">
                                                        <rect key="frame" x="0.0" y="0.0" width="250" height="44"/>
                                                        <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                                        <color key="backgroundColor" red="0.9882352941176471" green="0.42745098039215684" blue="0.14901960784313725" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                                        <fontDescription key="fontDescription" type="system" pointSize="16"/>
                                                        <color key="tintColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                                        <inset key="contentEdgeInsets" minX="24" minY="10" maxX="24" maxY="10"/>
                                                        <inset key="titleEdgeInsets" minX="8" minY="0.0" maxX="-8" maxY="0.0"/>
                                                        <inset key="imageEdgeInsets" minX="-8" minY="0.0" maxX="8" maxY="0.0"/>
                                                        <state key="normal" title="Sign in with GitLab" image="gitlab-icon"/>
                                                        <userDefinedRuntimeAttributes>
                                                            <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                                                                <integer key="value" value="5"/>
                                                            </userDefinedRuntimeAttribute>
                                                            <userDefinedRuntimeAttribute type="boolean" keyPath="clipsToBounds" value="YES"/>
                                                        </userDefinedRuntimeAttributes>
                                                        <connections>
                                                            <segue destination="nFZ-NC-h4X" kind="show" identifier="login-gitlab" id="51v-Wh-sGQ"/>
                                                        </connections>
                                                    </button>
                                                </subviews>
                                                <constraints>
                                                    <constraint firstAttribute="bottom" secondItem="WAP-HR-H0V" secondAttribute="bottom" id="2fR-hp-Sbz"/>
                                                    <constraint firstItem="3v6-My-Oza" firstAttribute="top" secondItem="ZbW-Ww-HNK" secondAttribute="top" constant="48" id="JVh-cT-ZZK"/>
                                                    <constraint firstItem="3v6-My-Oza" firstAttribute="width" secondItem="ZbW-Ww-HNK" secondAttribute="width" id="Kcn-Fc-Pk2"/>
                                                    <constraint firstItem="WAP-HR-H0V" firstAttribute="top" secondItem="3v6-My-Oza" secondAttribute="bottom" constant="4" id="Kty-SQ-JWb"/>
                                                    <constraint firstItem="WAP-HR-H0V" firstAttribute="centerX" secondItem="ZbW-Ww-HNK" secondAttribute="centerX" id="iko-RB-uQJ"/>
                                                    <constraint firstItem="WAP-HR-H0V" firstAttribute="width" secondItem="ZbW-Ww-HNK" secondAttribute="width" id="sfL-b1-WZg"/>
                                                    <constraint firstItem="3v6-My-Oza" firstAttribute="centerX" secondItem="ZbW-Ww-HNK" secondAttribute="centerX" id="zAq-9q-c6z"/>
                                                </constraints>
                                            </view>
                                        </subviews>
                                        <constraints>
                                            <constraint firstItem="ZbW-Ww-HNK" firstAttribute="centerY" secondItem="xBk-kZ-gZm" secondAttribute="centerY" constant="22" id="TDp-kM-qA7"/>
                                            <constraint firstItem="ZbW-Ww-HNK" firstAttribute="width" secondItem="xBk-kZ-gZm" secondAttribute="width" id="hmO-TA-LfB"/>
                                            <constraint firstItem="ZbW-Ww-HNK" firstAttribute="centerX" secondItem="xBk-kZ-gZm" secondAttribute="centerX" id="qop-6a-uhC"/>
                                        </constraints>
                                    </view>
                                </subviews>
                                <constraints>
                                    <constraint firstItem="qkS-gN-cJH" firstAttribute="width" secondItem="acd-D8-8uF" secondAttribute="width" id="0f5-Xt-8k4"/>
                                    <constraint firstItem="xBk-kZ-gZm" firstAttribute="width" secondItem="acd-D8-8uF" secondAttribute="width" id="2nb-GJ-fqo"/>
                                    <constraint firstItem="qkS-gN-cJH" firstAttribute="top" secondItem="acd-D8-8uF" secondAttribute="top" id="3pf-s4-hSY"/>
                                    <constraint firstItem="xBk-kZ-gZm" firstAttribute="top" secondItem="qkS-gN-cJH" secondAttribute="bottom" constant="64" id="5Ft-4n-MbY"/>
                                    <constraint firstItem="qkS-gN-cJH" firstAttribute="centerX" secondItem="acd-D8-8uF" secondAttribute="centerX" id="9Op-CN-AQg"/>
                                    <constraint firstItem="xBk-kZ-gZm" firstAttribute="centerX" secondItem="acd-D8-8uF" secondAttribute="centerX" id="AGT-7Q-8O2"/>
                                    <constraint firstItem="qkS-gN-cJH" firstAttribute="height" secondItem="xBk-kZ-gZm" secondAttribute="height" id="IPW-Xw-yRU"/>
                                    <constraint firstAttribute="bottom" secondItem="xBk-kZ-gZm" secondAttribute="bottom" id="N0E-6V-zwh"/>
                                    <constraint firstAttribute="width" constant="250" id="lTb-3O-6c4"/>
                                </constraints>
                            </view>
                        </subviews>
                        <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                        <constraints>
                            <constraint firstItem="acd-D8-8uF" firstAttribute="centerY" secondItem="06r-hy-PP4" secondAttribute="centerY" id="8eZ-Aj-FRk"/>
                            <constraint firstItem="acd-D8-8uF" firstAttribute="centerX" secondItem="06r-hy-PP4" secondAttribute="centerX" id="9PH-1z-8aX"/>
                            <constraint firstItem="06r-hy-PP4" firstAttribute="leading" secondItem="uHb-5P-NWV" secondAttribute="leading" id="UQI-Lw-mBu"/>
                            <constraint firstAttribute="trailing" secondItem="06r-hy-PP4" secondAttribute="trailing" id="a1O-fm-lOK"/>
                            <constraint firstItem="06r-hy-PP4" firstAttribute="top" secondItem="uHb-5P-NWV" secondAttribute="top" id="vLH-lt-QRw"/>
                            <constraint firstItem="06r-hy-PP4" firstAttribute="bottom" secondItem="uHb-5P-NWV" secondAttribute="bottom" id="zjo-5v-96Y"/>
                        </constraints>
                    </view>
                    <navigationItem key="navigationItem" id="rzq-7v-6th"/>
                    <simulatedStatusBarMetrics key="simulatedStatusBarMetrics" statusBarStyle="lightContent"/>
                    <nil key="simulatedTopBarMetrics"/>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="SsQ-N3-Nhq" userLabel="First Responder" sceneMemberID="firstResponder"/>
                <tapGestureRecognizer numberOfTapsRequired="7" id="z2K-eW-yTk">
                    <connections>
                        <segue destination="lRh-tk-ylp" kind="show" id="9dW-NB-IcZ"/>
                    </connections>
                </tapGestureRecognizer>
            </objects>
            <point key="canvasLocation" x="-1123" y="2024"/>
        </scene>
        <!--Navigation Controller-->
        <scene sceneID="f5F-Dl-iPw">
            <objects>
                <navigationController id="wJh-wU-YFl" sceneMemberID="viewController">
                    <navigationBar key="navigationBar" contentMode="scaleToFill" id="3ZW-gL-mAd">
                        <rect key="frame" x="0.0" y="44" width="414" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                    </navigationBar>
                    <connections>
                        <segue destination="P9o-yr-Pou" kind="relationship" relationship="rootViewController" id="in6-cB-N83"/>
                    </connections>
                </navigationController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="sB8-cA-08K" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="-1863" y="2024"/>
        </scene>
    </scenes>
    <inferredMetricsTieBreakers>
        <segue reference="51v-Wh-sGQ"/>
    </inferredMetricsTieBreakers>
    <color key="tintColor" red="0.92941176469999998" green="0.098039215690000001" blue="0.39607843139999999" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
    <resources>
        <image name="backdrop" width="320" height="480"/>
        <image name="github-icon" width="24" height="24"/>
        <image name="gitlab-icon" width="24" height="24"/>
        <image name="gitter-logo" width="180" height="41.5"/>
        <image name="twitter-icon" width="24" height="24"/>
    </resources>
</document>
